summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Alan Aversa <alan.aveNOrsaSP@AMcox.net (remove NO and SPAM)>2020-04-17 16:50:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-04-19 10:00:20 +0700
commit4d1d3e91fdb5af506287ee8ec7db9c9f5bc6de24 (patch)
tree503e072577bf12d80fb19f6fc47bb3d5a4c094b6 /office
parent24b6aa7d76c9800d9f8fbd5603ae1477de2f666f (diff)
downloadslackbuilds-4d1d3e91fdb5af506287ee8ec7db9c9f5bc6de24.tar.gz
slackbuilds-4d1d3e91fdb5af506287ee8ec7db9c9f5bc6de24.tar.xz
office/plover: Added (Open source stenotype engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/plover/README9
-rw-r--r--office/plover/doinst.sh13
-rw-r--r--office/plover/plover.SlackBuild70
-rw-r--r--office/plover/plover.desktop10
-rw-r--r--office/plover/plover.info10
-rw-r--r--office/plover/plover.pngbin0 -> 10767 bytes
-rw-r--r--office/plover/slack-desc19
7 files changed, 131 insertions, 0 deletions
diff --git a/office/plover/README b/office/plover/README
new file mode 100644
index 0000000000..fcf08a88de
--- /dev/null
+++ b/office/plover/README
@@ -0,0 +1,9 @@
+Plover (rhymes with "lover") is a desktop application that allows anyone
+to use stenography to write on their computer, up to speeds of 200WPM
+and beyond.
+
+Plover is part of the Open Steno Project. The Open Steno Project's goal is to
+provide everything you need to learn machine shorthand on your own, from
+free software, to cheap hardware, to learning resources.
+
+Plover is GPLv2+ as of version 3.1.0. See the license for details.
diff --git a/office/plover/doinst.sh b/office/plover/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/office/plover/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/plover/plover.SlackBuild b/office/plover/plover.SlackBuild
new file mode 100644
index 0000000000..b793a75144
--- /dev/null
+++ b/office/plover/plover.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for plover
+
+# Copyright 2020 Alan Aversa USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=plover
+VERSION=${VERSION:-4.0.0.dev8.66.g685bd33}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=${ARCH:-$(uname -m)}
+if [ $ARCH != "x86_64" ]; then
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cp $CWD/$PRGNAM-$VERSION-x86_64.AppImage $PRGNAM-$VERSION/$PRGNAM
+cd $PRGNAM-$VERSION
+chown -R root:root $PRGNAM
+chmod 755 $PRGNAM
+
+mkdir -p $PKG/usr/bin
+mv $PRGNAM $PKG/usr/bin/
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/plover/plover.desktop b/office/plover/plover.desktop
new file mode 100644
index 0000000000..519ee5da65
--- /dev/null
+++ b/office/plover/plover.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Plover
+GenericName=Stenography
+Comment=Plover stenotype engine
+Icon=plover
+Exec=plover
+TryExec=Plover
+Terminal=false
+Type=Application
+Categories=Office;
diff --git a/office/plover/plover.info b/office/plover/plover.info
new file mode 100644
index 0000000000..8e2c4a2a04
--- /dev/null
+++ b/office/plover/plover.info
@@ -0,0 +1,10 @@
+PRGNAM="plover"
+VERSION="weekly-v4.0.0.dev8+66.g685bd33"
+HOMEPAGE="https://www.openstenoproject.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/openstenoproject/plover/releases/download/weekly-v4.0.0.dev8%2B66.g685bd33/plover-4.0.0.dev8.66.g685bd33-x86_64.AppImage"
+MD5SUM_x86_64="27253471cec234350ecbcc8cee6071ed"
+REQUIRES=""
+MAINTAINER="Alan Aversa"
+EMAIL="alan.aveNOrsaSP@AMcox.net (remove NO and SPAM)"
diff --git a/office/plover/plover.png b/office/plover/plover.png
new file mode 100644
index 0000000000..dd301f1c3d
--- /dev/null
+++ b/office/plover/plover.png
Binary files differ
diff --git a/office/plover/slack-desc b/office/plover/slack-desc
new file mode 100644
index 0000000000..907ca2058e
--- /dev/null
+++ b/office/plover/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+plover: plover (Open source stenotype engine)
+plover:
+plover: Plover (rhymes with "lover") is a desktop application that allows
+plover: anyone to use stenography to write on their computer, up to speeds of
+plover: 200WPM and beyond.
+plover:
+plover: Plover is part of the Open Steno Project. The Open Steno Project's
+plover: goal is to provide everything you need to learn machine shorthand on
+plover: your own, from free software, to cheap hardware, to learning
+plover: resources.
+plover: